import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.StringTokenizer;


/**
 * ICPC - CTU Open Contest 2021
 * Sample Solution: Skyscrapers
 * 
 * @author Martin Kacer
 */
public class SkyScrapersMK {
	StringTokenizer st = new StringTokenizer("");
	BufferedReader input = new BufferedReader(new InputStreamReader(System.in));
	boolean hasNextToken() {
		try {
			while (!st.hasMoreTokens()) {
				String line = input.readLine();
				if (line == null) return false;
				st = new StringTokenizer(line);
			}
		} catch (IOException ex) { throw new RuntimeException(ex); }
		return true;
	}
	String nextToken() {
		return (!hasNextToken()) ? null : st.nextToken();
	}
	int nextInt() {
		return Integer.parseInt(nextToken());
	}
	public static void main(String[] args) {
		new SkyScrapersMK().run();
	}
	
	void run() {
		long sum = 0;
		int n = nextInt(), cnt = 0;
		int[] stk = new int[n+1], pos = new int[n+1];
		for (int p = 0; p < n; ++p) {
			int x = nextInt();
			while (cnt > 0 && stk[cnt] < x) --cnt;
			if (cnt > 0 && stk[cnt] == x) sum += p - pos[cnt--] - 1;
			stk[++cnt] = x; pos[cnt] = p;
		}
		System.out.println(sum);
	}
}
